
class WorkflowBuilderBase(object):
    """Interface to create workflow"""

    def create_workflow(self, global_context):
        """Create and return workflow object according given context

        :type global_context: parallels.core.global_context.GlobalMigrationContext
        :rtype: parallels.core.workflow.base_workflow.BaseWorkflow
        """
        raise NotImplementedError()
